Subject: Re: bug report on update-index --assume-unchanged

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Dec 2014 10:33:47 -0800

Duy Nguyen <[email-masked]> writes:

> You are correct about the original idea behind --assume-unchanged. But
> over the time I think we bend over a bit and sort of support these use
> cases. For example, aecda37 (do not overwrite files marked "assume
> unchanged" - 2010-05-01). The change is one-liner, so I don't mind
> doing it.

I think that was a misguided change to make the semantics muddy and
to break the existing users who use the bit for its intended purpose
(i.e. to avoid lstat() by promising that it is not necessary), and
not "bending over to support".  Offhand, I doubt we would want to
add more of the same kind.